# sbomLibResponse

Response containing SBOM libraries with pagination information.

### Examples

```graphql
type SbomLibResponse {
  sbomLibs: [SbomLib]
  total: Int
  offset: Int
  totalFilteredSbomLibs: Int
  cursorValue: String
}
```

### Fields

| Field                                                                                         | Description                                                                                                                                                                                                                                                                                    | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sbomLibs [`[SbomLib]`](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md) | List of SBOM libraries found in the scan                                                                                                                                                                                                                                                       | <p>id <code>String</code><br>references <a href="/pages/6TJdgnswOgHl8waTV1Es"><code>\[SbomReference]</code></a><br><del>appType <code>String</code></del> ⚠️<br>language <code>String</code><br><del>libId <code>String</code></del> ⚠️<br>libraryName <code>String</code><br>libraryVersion <code>String</code><br>license <code>String</code><br>appName <code>String</code><br>location <code>String</code><br>dependencyType <code>String</code><br>source <code>String</code><br>appId <code>String</code><br>locationLink <code>String</code><br>appLink <code>String</code><br>pkgName <code>String</code><br>copyWriteInfo <code>\[String]</code><br>copyWriteInfoLink <code>String</code><br>libLink <code>String</code><br>vulnerabilityCounts <a href="/pages/Mi2O2VBqr5x9HuvOy9EX"><code>IssuesBySeverity</code></a><br>triggerPackage <code>String</code><br>vulnerabilities <a href="/pages/5KHE3dQDKSyZrdCzOTGU"><code>\[SCAVulnerability]</code></a><br>latestVersion <code>String</code><br>latestVersionDate <code>String</code><br>stars <code>Int</code><br>forks <code>Int</code><br>openIssues <code>Int</code><br>packageManager <code>String</code><br>purl <code>String</code><br>packageManagerLink <code>String</code><br>maintainers <code>Int</code><br>contributors <code>Int</code><br>downloads <code>Int</code><br>sourceLink <code>String</code><br>notPopular <code>Boolean</code><br>licenseIssue <code>Boolean</code><br>malicious <code>Boolean</code><br>malwareType <code>String</code><br>osVname <code>String</code><br>notMaintained <code>Boolean</code><br>isDeprecated <code>Boolean</code><br>notImported <code>Boolean</code><br><del>notUsed <code>Boolean</code></del> ⚠️<br>notUpdated <code>Boolean</code><br>dependencyLevel <code>Int</code><br>requestId <code>String</code><br>licenseLink <code>String</code><br>artifactInSbomLibs <a href="/pages/td25eK64ewC6Lwo7LqMf"><code>\[ArtifactInSbomLibs]</code></a><br>sha <code>String</code><br>maintainersList <a href="/pages/ElWWBVIaC9gsAte5BKJd"><code>\[Maintainer]</code></a><br>runtimeStatus <code>String</code><br>runtimeContext <a href="/pages/ZEHfyqwf9VemeMXWogiS"><code>RuntimeInfo</code></a><br>usedVersionReleaseDate <code>String</code><br>projectDescription <code>String</code><br>firstSeenDate <code>String</code></p> |
| total `Int`                                                                                   | Total number of libraries available                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| offset `Int`                                                                                  | Current pagination offset                                                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| totalFilteredSbomLibs `Int`                                                                   | Total number of libraries after applying filters                                                                                                                                                                                                                                               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| cursorValue `String`                                                                          | A value returned by the API that represents the position of the last item in the previous page. Use this value to paginate efficiently through the results. Pass the cursorValue from the previous API response to fetch the next page of results. If omitted, the API returns the first page. |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

### References

#### Queries using this object:

* [\<?> getSbomLibraries](/api-documentation/api-reference/api--sbom/queries/get-sbom-libraries.md)
* [\<?> getSbom](/api-documentation/api-reference/api--sbom/queries/get-sbom.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--sbom/types/objects/sbom-lib-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
